Loading...
Searching...
No Matches
dolfin::SUNDIALSNVector Class Reference

`#include <SUNDIALSNVector.h>`

## Public Member Functions

| SUNDIALSNVector (MPI_Comm comm=MPI_COMM_WORLD)
| SUNDIALSNVector (MPI_Comm comm, std::size_t N)
| SUNDIALSNVector (const SUNDIALSNVector &x)
| SUNDIALSNVector (const GenericVector &x)
| SUNDIALSNVector (std::shared_ptr< GenericVector > x)
N_Vector | nvector () const
std::shared_ptr< GenericVector > | vec () const
const SUNDIALSNVector & | operator= (const SUNDIALSNVector &x)
| Assignment operator.

## Detailed Description

Interface to SUNDIALS NVector

## Constructor & Destructor Documentation

## SUNDIALSNVector() [1/5]

dolfin::SUNDIALSNVector::SUNDIALSNVector | ( | MPI_Comm | comm = MPI_COMM_WORLD | ) |

inline

Create empty vector

Parameters

  comm | MPI communicator

## SUNDIALSNVector() [2/5]

dolfin::SUNDIALSNVector::SUNDIALSNVector | ( | MPI_Comm | comm,
|  | std::size_t | N )

inline

Create vector of size N

Parameters

  comm | MPI communicator
  N | Size of vector

## SUNDIALSNVector() [3/5]

dolfin::SUNDIALSNVector::SUNDIALSNVector | ( | const SUNDIALSNVector & | x | ) |

inline

Copy constructor

Parameters

  x | SUNDIALSNVector to copy

## SUNDIALSNVector() [4/5]

dolfin::SUNDIALSNVector::SUNDIALSNVector | ( | const GenericVector & | x | ) |

inline

Create an SUNDIALSNVector from a GenericVector

Parameters

  x | GenericVector to copy

## SUNDIALSNVector() [5/5]

dolfin::SUNDIALSNVector::SUNDIALSNVector | ( | std::shared_ptr< GenericVector > | x | ) |

inline

Create a SUNDIALSNVector wrapper to an existing GenericVector

Parameters

  x | GenericVector pointer to copy

## Member Function Documentation

## nvector()

N_Vector dolfin::SUNDIALSNVector::nvector | ( |  | ) | const

inline

Get underlying raw SUNDIALS N_Vector struct

Returns
  raw SUNDIALS N_Vector struct

## vec()

std::shared_ptr< GenericVector > dolfin::SUNDIALSNVector::vec | ( |  | ) | const

inline

Get underlying GenericVector

Returns
  underlying GenericVector

The documentation for this class was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/SUNDIALSNVector.h